"use strict";
const common_vendor = require("../../../common/vendor.js");
require("../../index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "su-video",
  props: {
    moveX: {
      type: [Number],
      default: 0
    },
    // 下标索引
    uid: {
      type: [Number, String],
      default: 0
    },
    // 视频高度
    height: {
      type: Number,
      default: 300
    },
    // 视频宽度
    width: {
      type: Number,
      default: 750
    },
    // 指定视频初始播放位置，单位为秒（s）
    initialTime: {
      type: Number,
      default: 1
    },
    src: {
      type: String,
      default: ""
    },
    poster: {
      type: String,
      default: "https://img1.baidu.com/it/u=1601695551,235775011&fm=26&fmt=auto"
    },
    autoplay: {
      type: Boolean,
      default: false
    }
  },
  emits: ["videoTimeupdate"],
  setup(__props, { expose, emit: emits }) {
    const props = __props;
    const vm = common_vendor.getCurrentInstance();
    const state = common_vendor.reactive({
      enableProgressGesture: false,
      // 手势滑动
      showModal: false
      // 弹框
    });
    const timeupdate = (e) => {
      emits("videoTimeupdate", e);
    };
    const videoErrorCallback = (e) => {
      console.log("视频错误信息:", e.target.errMsg);
    };
    const play = () => {
      console.log("视频开始");
    };
    const pause = () => {
      console.log("视频暂停");
    };
    const end = () => {
      console.log("视频结束");
    };
    const pausePlay = () => {
      const video = common_vendor.index.createVideoContext(`sVideo${props.index}`, vm);
      video.pause();
    };
    expose({
      pausePlay
    });
    return (_ctx, _cache) => {
      return {
        a: `sVideo${__props.uid}`,
        b: common_vendor.s({
          height: __props.height + "rpx"
        }),
        c: __props.src,
        d: state.enableProgressGesture,
        e: __props.initialTime,
        f: common_vendor.o(videoErrorCallback),
        g: common_vendor.o(timeupdate),
        h: common_vendor.o(play),
        i: common_vendor.o(pause),
        j: common_vendor.o(end),
        k: __props.poster,
        l: __props.autoplay
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-f4b9589e"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/ui/su-video/su-video.vue"]]);
wx.createComponent(Component);
